Bug 277181 - (CVE-2007-3475) CVE-2007-3475 libgd Denial of service by GIF images without a global color map
CVE-2007-3475 libgd Denial of service by GIF images without a global color map
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20070621,impact=low,source=cve...
: Security
Depends On: 277411 277421 432784 432785 432786 432787 833899
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 15:36 EDT by Lubomir Kundrak
Modified: 2012-06-20 10:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 05:54:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-04 15:36:59 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-3475 to the following vulnerability:

The GD Graphics Library (libgd) before 2.0.35 allows user-assisted remote attackers to cause a denial of service (crash) via a GIF image that has no global color map.

References:

http://www.libgd.org/ReleaseNote020035
http://bugs.libgd.org/?do=details&task_id=70
Comment 3 Tomas Hoger 2008-02-11 11:05:01 EST
Fix in libgd CVS repo:

http://cvs.php.net/viewcvs.cgi/gd/libgd/src/gd_gif_in.c?r1=1.5.2.5&r2=1.5.2.6
Comment 4 Tomas Hoger 2008-02-11 13:07:23 EST
This issue does not affect versions of gd as shipped with Red Hat Enterprise
Linux 2.1 and 3, as those versions do not offer GIF image type support.
Comment 6 Red Hat Product Security 2008-02-28 05:54:16 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0146.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2055


Note You need to log in before you can comment on or make changes to this bug.